aboutsummaryrefslogtreecommitdiffstats
path: root/testing/autocutsel/APKBUILD
diff options
context:
space:
mode:
authorSteeve Chailloux <steeve@chaahk.com>2016-03-29 00:44:33 +0100
committerNatanael Copa <ncopa@alpinelinux.org>2016-03-31 14:08:53 +0000
commitbe5c7a1b869d2417cc750a2280be930698947d8d (patch)
tree191071c4a804ded78ced71a1e9e0561e1b5990d5 /testing/autocutsel/APKBUILD
parent461c611d9e2de5f4c61eeb9ba3afeaf4c5e99afe (diff)
downloadaports-be5c7a1b869d2417cc750a2280be930698947d8d.tar.gz
aports-be5c7a1b869d2417cc750a2280be930698947d8d.tar.bz2
aports-be5c7a1b869d2417cc750a2280be930698947d8d.tar.xz
testing/autocutsel
http://www.nongnu.org/autocutsel/ automated xcutsel
Diffstat (limited to 'testing/autocutsel/APKBUILD')
-rw-r--r--testing/autocutsel/APKBUILD40
1 files changed, 40 insertions, 0 deletions
diff --git a/testing/autocutsel/APKBUILD b/testing/autocutsel/APKBUILD
new file mode 100644
index 0000000000..cfc7a8374c
--- /dev/null
+++ b/testing/autocutsel/APKBUILD
@@ -0,0 +1,40 @@
+# Contributor: Steeve Chailloux <steeve@chaahk.com>
+# Maintainer: Steeve Chailloux <steeve@chaahk.com>
+pkgname=autocutsel
+pkgver=0.10.0
+pkgrel=0
+pkgdesc="automated xcutsel"
+url="http://www.nongnu.org/autocutsel/"
+arch="all"
+license="GPL2"
+depends=""
+depends_dev=""
+makedepends="$depends_dev libx11-dev libxaw-dev"
+subpackages=""
+source="https://github.com/sigmike/autocutsel/releases/download/$pkgver/$pkgname-$pkgver.tar.gz"
+
+_builddir=$srcdir/$pkgname-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ ./configure --prefix=/usr --mandir=/usr/share/man || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="7d5b96e5f7b79b883d8350f104043366 autocutsel-0.10.0.tar.gz"
+sha256sums="a2376330aa1a65f36621595a5a4eb5c2cabc16854b69d66c285f11f89bd05e3f autocutsel-0.10.0.tar.gz"
+sha512sums="2d9b7114fde67ee217ceee673e32b407eef5b266a9d457a83b35d1c6227e5873cc7928aa10f7d84ce5e8c78d4940ee29985696f49b4015269584f1559f6b6d1d autocutsel-0.10.0.tar.gz"